import { chartObj, eChartObj } from '@/components/reportBox/config'
import { comJs } from 'vue-two-js-tool'
const { formRenderProps } = comJs.customFormRenderConfig

const props = formRenderProps
props.reportConfig = {
  type: Object,
  default: () => {
    return {
      chartObj,
      eChartObj,
      apiSeverReq: (data) => {
        return new Promise((resolve, reject) => {
          const arr = [
            {
              name: '远程测试数据1',
              value: 1
            },
            {
              name: '远程测试数据2',
              value: 2
            },
            {
              name: '远程测试数据3',
              value: 3
            }
          ]
          setTimeout(() => {
            resolve({ data: arr })
          }, 1000)
        })
      },
      annoTextList: [],
      emptyList: []
    }
  }
}

export const formProps = props
