export const comProp = {
  value: {
    type: [Array, String, Number, Object, Boolean],
    default: () => ''
  },
  apiConfig: {
    type: Object,
    default: () => {
      return {
        status: false,
        url: '',
        method: 'get',
        params: {},
        config: {},
        otherData: {
          dataPosition: 'data.results'
        }
      }
    }
  },
  soureData: {
    type: Array,
    default: () => {
      return []
    }
  },
  isUsedFullForm: {
    type: Boolean,
    default: () => false
  },
  __config__: {
    type: Object,
    default: () => {
      return {}
    }
  },
  config: {
    type: Object,
    default: () => {
      return {}
    }
  },
  element: {
    type: Object,
    default: () => {
      return {}
    }
  },
  children: {
    type: Array,
    default: () => {
      return []
    }
  }
}
