import {
  tableChart,
  pieSpiderChart,
  barChart,
  lineChart,
  areaChart,
  gaugeChart,
  radialBarChart
} from '@/components/reportBox/AntvG2.js'

import {
  eTableChart,
  ePieChart,
  eLineChart
} from '@/components/reportBox/echart.js'

export const chartObj =
  process.env.NODE_ENV === 'production'
    ? {}
    : {
        tableChart,
        pieSpiderChart,
        barChart,
        lineChart,
        areaChart,
        radialBarChart,
        vueTableChart: '',
        jsonChart: ''
      }

export const eChartObj =
  process.env.NODE_ENV === 'production'
    ? {}
    : {
        eTableChart,
        ePieChart,
        eLineChart,
        vueTableChart: '',
        jsonChart: ''
      }
