export function bindEvent({ myChart, report, option, name, prop, category }) {
  myChart.on('click', (params) => {
    const dataIndex = params.dataIndex
    const data = {
      [name]: params.name,
      [prop]: params.data,
      [category]: params.dataType
    }

    const selectedElement = report.selectEl

    if (report.changeSelectData && report.changeSelectData(data)) {
      if (selectedElement === dataIndex) {
        report.setSelectEl(null)
        report.changeSelectData && report.changeSelectData(null)
      } else {
        report.setSelectEl(dataIndex)
      }
    }

    myChart.setOption(option)
  })
}
